Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Get saved locations
cURL
curl --request GET \ --url https://idalia.app/api/locations \ --header 'X-API-KEY: <api-key>'
import requests url = "https://idalia.app/api/locations" headers = {"X-API-KEY": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}}; fetch('https://idalia.app/api/locations', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://idalia.app/api/locations", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-API-KEY: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://idalia.app/api/locations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-KEY", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://idalia.app/api/locations") .header("X-API-KEY", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://idalia.app/api/locations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-KEY"] = '<api-key>' response = http.request(request) puts response.read_body
[ { "id": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "workspaceId": "<string>", "name": "<string>", "latitude": 123, "longitude": 123, "address1": "<string>", "address2": "<string>", "city": "<string>", "state": "<string>", "postalCode": "<string>", "country": "<string>", "externalIds": {} } ]
{ "error": "Invalid request parameters", "code": "400" }
{ "error": "Authentication required", "code": "401" }
{ "error": "Access denied", "code": "403" }
{ "error": "An unexpected error occurred", "code": "500" }
Successful response
ID of the location
Datetime when the location was created
Datetime when the location was last updated
ID of the workspace the location belongs to
Name of the location
Latitude of the location's coordinates
Longitude of the location's coordinates
Address 1 of the location
Address 2 of the location
City the location is in
State the location is in
Postal code the location is in
Country the location is in
Show child attributes